Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.analyzer
Class AbstractAnalyzer

    java.lang.Object
      org.owasp.dependencycheck.analyzer.AbstractAnalyzer

All Implemented Interfaces:
  Analyzer

Direct Known Subclasses:
  ArchiveAnalyzer, DependencyBundlingAnalyzer, FalsePositiveAnalyzer, FileNameAnalyzer, HintAnalyzer, JarAnalyzer, JavaScriptAnalyzer

    public abstract class AbstractAnalyzer

extends Object
implements Analyzer

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`AbstractAnalyzer()`

Method Summary
`void` | `close()` The close method does nothing for this Analyzer.
`void` | `initialize()` The initialize method does nothing for this Analyzer.
`protected static Set<String>` | `newHashSet(String... strings)` Utility method to help in the creation of the extensions set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.owasp.dependencycheck.analyzer.Analyzer
`analyze, getAnalysisPhase, getName, getSupportedExtensions, supportsExtension`

Constructor Detail

### AbstractAnalyzer

    public AbstractAnalyzer()

Method Detail

### newHashSet

    protected static Set<String> newHashSet(String... strings)

  Utility method to help in the creation of the extensions set. This constructs a new Set that can be used in a final static declaration.
  This implementation was copied from http://stackoverflow.com/questions/2041778/initialize-java-hashset-values-by-construction

  Parameters:
    `strings` - a list of strings to add to the set.
  Returns:
    a Set of strings.

### initialize

    public void initialize()
                    throws Exception

  The initialize method does nothing for this Analyzer.

  Specified by:
    `initialize` in interface `Analyzer`
  Throws:
    `Exception` - thrown if there is an exception

### close

    public void close()
               throws Exception

  The close method does nothing for this Analyzer.

  Specified by:
    `close` in interface `Analyzer`
  Throws:
    `Exception` - thrown if there is an exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.